Bug 1283774 - Valgrind: FATAL: aspacem assertion failed
Valgrind: FATAL: aspacem assertion failed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Mark Wielaard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 15:13 EST by Lyude
Modified: 2016-01-28 13:23 EST (History)
4 users (show)

See Also:
Fixed In Version: valgrind-3.11.0-8.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 13:23:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lyude 2015-11-19 15:13:08 EST
Description of problem:
Valgrind fails to run weston (and probably other programs), crashes with the following message:

--28264:0: aspacem Valgrind: FATAL: aspacem assertion failed:
--28264:0: aspacem   ! is_freeslot(ix)
--28264:0: aspacem   at m_aspacemgr/aspacemgr-segnames.c:223 (get_refcount)
--28264:0: aspacem Exiting now.

Version-Release number of selected component (if applicable):
valgrind-3.11.0-1.fc23
Git snapshot of weston from http://cgit.freedesktop.org/wayland/weston/commit/?id=870fadced3f19659b60574888432b79713776097

How reproducible:
Always

Steps to Reproduce:
1. Build weston in it's own prefix based off the git commit linked
2. Try to run it under valgrind
3. Crash

Actual results:
Valgrind crashes

Expected results:
Valgrind should be able to run the program normally

Additional info:
I've confirmed this isn't a bug in weston itself, and is actually a regression with the valgrind package. If I try an older valgrind build for the fedora 23 beta from http://koji.fedoraproject.org/koji/buildinfo?buildID=678500 valgrind is able to run weston without any issues.
Comment 1 Mark Wielaard 2016-01-15 09:11:44 EST
Note you don't have to build weston from scratch to replicate.
Using the weston package from fedora also triggers it when using the X11 backend (thanks to Tom Hughes for suggesting to try that out).

weston-1.9.0-1.fc23.x86_64
valgrind-3.11.0-1.fc23.x86_64

valgrind weston --backend=x11-backend.so
[...]
--30632:0: aspacem Valgrind: FATAL: aspacem assertion failed:
--30632:0: aspacem   ! is_freeslot(ix)
--30632:0: aspacem   at m_aspacemgr/aspacemgr-segnames.c:223 (get_refcount)
--30632:0: aspacem Exiting now.
Comment 2 Fedora Update System 2016-01-21 15:39:58 EST
valgrind-3.11.0-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3795b5d3a9
Comment 3 Fedora Update System 2016-01-23 23:51:30 EST
valgrind-3.11.0-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3795b5d3a9
Comment 4 Fedora Update System 2016-01-28 13:23:03 EST
valgrind-3.11.0-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.